LibreOffice: HierarchyDataSource Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Exported Interfaces | List of all members
HierarchyDataSource Service Referencepublished

manages one or more complete sets of hierarchy data and serves as a factory for objects that provide access to a subset of the data. More...

`import"HierarchyDataSource.idl";`

Inheritance diagram for HierarchyDataSource:

## Exported Interfaces
interface | com::sun::star::lang::XMultiServiceFactory
| allows creating access objects for specific views such as subsets and fragments of the hierarchy data. More...
interface | com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of the hierarchy data source and its views. More...

## Additional Inherited Members
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

manages one or more complete sets of hierarchy data and serves as a factory for objects that provide access to a subset of the data.

Note: This is an abstract service. This means, that there should never be implementations that can be instantiated using the service name `com.sun.star.ucb.HierarchyDataSource`. Each implementation must provide its own service name that can be used to create instances of that service implementation. Important for those service specifications is also to specify which of the optional parts are supported by the implementation.

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

allows controlling or observing the lifetime of the hierarchy data source and its views.

## ◆ com::sun::star::lang::XMultiServiceFactory

interface com::sun::star::lang::XMultiServiceFactory

allows creating access objects for specific views such as subsets and fragments of the hierarchy data.

The parameter aServiceSpecifier passed to com::sun::star::lang::XMultiServiceFactory::createInstanceWithArguments() supports at least the service specifier `"com.sun.star.ucb.HierarchyDataReadAccess"`, which will create a read-only view to the data. The object that is created implements the service HierarchyDataReadAccess.

Optionally the factory may support writable views. A writable view is requested by passing the service specifier `"com.sun.star.ucb.HierarchyDataReadWriteAccess"` to com::sun::star::lang::XMultiServiceFactory::createInstanceWithArguments() The object that is created implements the service HierarchyDataReadWriteAccess.

The arguments passed to com::sun::star::lang::XMultiServiceFactory::createInstanceWithArguments() in parameter aArguments specify the view of the data that should be created. That is, they determine the subset of elements that can be accessed starting from the returned object. Each element of the argument sequence should be a com::sun::star::beans::PropertyValue, so that the parameters can be identified by name rather than by position.

With both of the standard service specifiers above, an implementation must accept a property named `nodepath` of type `string`. This property must contain the absolute path to an element of the data. The view that is selected consists of the named element and all its descendants. A path consists of segments that are separated by a single slash ("/"). There is neither a leading nor a trailing slash allowed. The root of the hierarchy data always has an empty path. Refer to HierarchyDataReadAccess for more information on hierarchical names.

Other arguments can be used to control the behavior of the view. These are different for different implementations. Whether and how they are used may also depend on the configuration store and configuration that were selected when the provider was created.

An implementation must ignore unknown arguments.

The implementation of com::sun::star::lang::XMultiServiceFactory::createInstance() must behave exactly as if com::sun::star::lang::XMultiServiceFactory::createInstanceWithArguments() were called passing one single property named `nodepath` where the property value is an empty string. Thus it always creates a view to the root of the hierarchy data.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/HierarchyDataSource.idl